## org.mortbay.loadbalancer
Class Policy

    java.lang.Object
      |
      +--org.mortbay.loadbalancer.Policy

public class Policy
extends java.lang.Object

Constructor Summary
`Policy(Server[] server)`

Method Summary
`void` `allocate(Connection connection, NonBlockingQueue queue, int tries)`
`void` `deallocate(Connection connection, NonBlockingQueue queue, int tries)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Policy

    public Policy(Server[] server)

Method Detail

### deallocate

    public void deallocate(Connection connection,
                           NonBlockingQueue queue,
                           int tries)
                    throws java.io.IOException

    `java.io.IOException`

### allocate

    public void allocate(Connection connection,
                         NonBlockingQueue queue,
                         int tries)
                  throws java.io.IOException

    `java.io.IOException`

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.